Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/Expressions/NameExpressionTests.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/Expressions/NameExpressionTests.cs	(revision 14328)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/Expressions/NameExpressionTests.cs	(revision 14328)
@@ -0,0 +1,10 @@
+﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests.Expressions
+{
+    [TestClass]
+    public class NameExpressionTests : InterpreterTest
+    {
+
+    }
+}
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/HeuristicLab.Tests.csproj
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 14327)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 14328)
@@ -9,5 +9,5 @@
     <RootNamespace>HeuristicLab.Tests</RootNamespace>
     <AssemblyName>HeuristicLab.Tests</AssemblyName>
-    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <ProjectTypeGuids>{3AC096D0-A1C2-E12C-1390-A8335801FDAB};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
@@ -17,4 +17,5 @@
     <IsCodedUITest>False</IsCodedUITest>
     <TestProjectType>UnitTest</TestProjectType>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -34,4 +35,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+    <LangVersion>5</LangVersion>
   </PropertyGroup>
   <ItemGroup>
@@ -51,12 +53,13 @@
   </Choose>
   <ItemGroup>
-    <Compile Include="HeuristicLab.Algorithms.PushGP\Expressions\MixedExpressionTests.cs" />
-    <Compile Include="HeuristicLab.Algorithms.PushGP\Expressions\NameExpressionTests.cs" />
-    <Compile Include="HeuristicLab.Algorithms.PushGP\Expressions\FloatExpressionTests.cs" />
-    <Compile Include="HeuristicLab.Algorithms.PushGP\Expressions\BooleanExpressionTests.cs" />
-    <Compile Include="HeuristicLab.Algorithms.PushGP\Expressions\ExecExpressionTests.cs" />
-    <Compile Include="HeuristicLab.Algorithms.PushGP\Expressions\CodeExpressionTests.cs" />
-    <Compile Include="HeuristicLab.Algorithms.PushGP\Expressions\IntegerExpressionTests.cs" />
-    <Compile Include="HeuristicLab.Algorithms.PushGP\InterpreterTest.cs" />
+    <Compile Include="Expressions\ExampleTests.cs" />
+    <Compile Include="Expressions\NameExpressionTests.cs" />
+    <Compile Include="Expressions\FloatExpressionTests.cs" />
+    <Compile Include="Expressions\BooleanExpressionTests.cs" />
+    <Compile Include="Expressions\ExecExpressionTests.cs" />
+    <Compile Include="Expressions\CodeExpressionTests.cs" />
+    <Compile Include="Expressions\IntegerExpressionTests.cs" />
+    <Compile Include="InterpreterTest.cs" />
+    <Compile Include="Problems\Checksum.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
@@ -68,5 +71,5 @@
   </ItemGroup>
   <ItemGroup>
-    <Folder Include="HeuristicLab.Algorithms.PushGP\Problems\" />
+    <Folder Include="Problems\Data\" />
   </ItemGroup>
   <Choose>
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/InterpreterTest.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/InterpreterTest.cs	(revision 14328)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/InterpreterTest.cs	(revision 14328)
@@ -0,0 +1,16 @@
+﻿using HeuristicLab.Algorithms.PushGP.Interpreter;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests
+{
+    public class InterpreterTest
+    {
+        protected PushGPInterpreter interpreter;
+
+        [TestInitialize]
+        public void BeforeTest()
+        {
+            interpreter = new PushGPInterpreter();
+        }
+    }
+}
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/Problems/Checksum.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/Problems/Checksum.cs	(revision 14328)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Tests/Problems/Checksum.cs	(revision 14328)
@@ -0,0 +1,6 @@
+﻿namespace HeuristicLab.Tests.Problems
+{
+    public class Checksum
+    {
+    }
+}
